import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../garage/for_rent/for_rent_vm.dart';
import '../garage/for_sale/for_sale_vm.dart';
import 'following/following_vm.dart';
import 'foryou/foryou_vm.dart';
import 'news/news_state.dart';
import 'news/news_vm.dart';

class CommunityPageViewIdxData {
  static const int news = 0;
  static const int following = 1;
  static const int forYou = 2;
  static const int forSale = 3;
  static const int forRent = 4;


  static Map<int, String> get values => {
    0: "news",
    1: "following",
    2: "forYou",
    3: "forSale",
    4: "forRent",
  };
}